# $Id: e-smith-ibays.spec,v 1.21 2022/05/27 02:02:31 jpp Exp $

Summary: smeserver server and gateway - ibays module
%define name smeserver-ibays
Name: %{name}
%define version 11.0.0
%define release 3
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: smeserver-base >= 4.13.15-76
Requires: perl(CGI::FormMagick)
Requires: smeserver-formmagick >= 1.4.0-12
#Conflicts: e-smith-apache < 0.1.1
Requires: smeserver-apache >= 2.6.0-19
BuildRequires: perl, perl(Test::Inline)
BuildRequires: smeserver-devtools >= 1.11.0-03
AutoReqProv: no


Provides: e-smith-ibays
%description
smeserver server and gateway software - ibays module.

%changelog
* Thu Apr 04 2024 Brian Read <brianr@koozali.org> 11.0.0-3.sme
- Set license file to GPL2.0  [SME: 12577]

* Sat Mar 23 2024 Brian Read <brianr@koozali.org>11.0.0-2.sme
- Change Requires: e-smith- to Requires:smeserver-

* Sat Mar 23 2024 Brian Read <brianr@koozali.org>11.0.0-1.sme
- Update Release and Version to base version and 1st release for SME11 [SME: 12518]

* Mon Mar 11 2024 rename-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 2.6.0-21.sme
- Rename to smeserver-ibays [SME: 12359]

* Wed Jul 12 2023 cvs2git.sh aka Brian Read <brianr@koozali.org> 2.6.0-20.sme
- Roll up patches and move to git repo [SME: 12338]

* Wed Jul 12 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu May 26 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.6.0-19.sme
- add missing elements to e-smith-ibays-update event to activate changes [SME: 11774]

* Sat Apr 16 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.6.0-18.sme
- fix  AH01797: client denied by server conf [SME: 11774]
  use new require syntax for httpd 2.4

* Wed Mar 10 2021 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-17.sme
- fix patch for SSLRequireSSL [SME: 8150]

* Tue Mar 09 2021 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-16.sme
- force https if auth or dav are enabled  [SME: 11407]

* Tue Mar 09 2021 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-15.sme
- merge SSL and SSLRequireSSL properties [SME: 8150]
  now SSLRequireSSL will force SSL to the html ibay directory and redirect to https

* Mon Mar 08 2021 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-14.sme
- update php properties and folders [SME: 11412]
- remove last bit of atalk [SME: 668]

* Fri Jan 08 2021 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-13.sme
- add update event [SME: 11139]

* Sat Jun 27 2020 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-12.sme
- remove hardcoded ports [SME: 10968]

* Tue Jun 23 2020 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-11.sme
- remove php3 reference [SME: 10869]

* Mon Jun 22 2020 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-10.sme
- fix apache failing if ibay has dynamic content enabled and phpmodule is disabled [SME: 10871]

* Thu Jan 30 2020 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-9.sme
- revert patch, wrong rpm [SME: 10871]

* Tue Jan 28 2020 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-8.sme
- add support for php-fpm  [SME: 10871]

* Wed Jul 06 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-7.sme
- fix typo thanks to Stephane de Labrusse [SME: 7011]
- ibay to ibays

* Sun Jun 26 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-6.sme
- as per comment 2 of bug 0600 instead of 0700 for perms [SME: 9621]

* Sun Jun 26 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-5.sme
- as discussed, moving cache and tmp out of ibay folder [SME: 9105] [SME: 9621]
- creating basedir /var/cache/e-smith/files/ibays for tmp and cache

* Thu Jun 23 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-4.sme
- create tmp folder in ibays  when needed [SME: 9105]
- create session folder in ibays when needed [SME: 9621]
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.
  Fri Apr 17 2008 --> Fri Apr 11 2008 or Thu Apr 17 2008 or Fri Apr 18 2008 or ....
  Sat Dec 08 2013 --> Sat Dec 07 2013 or Sun Dec 08 2013 or Sat Dec 14 2013 or ....
  Sat May 04 2014 --> Sat May 03 2014 or Sun May 04 2014 or Sat May 10 2014 or ....

* Thu May 12 2016 Daniel Berteaud <daniel@firewall-services.com> 2.6.0-2.sme
- Rebuild for [SME: 9393]

* Fri Feb 05 2016 stephane de Labrusse <stephdl@de-labrusse.fr> 2.6.0-1.sme
- Initial release to sme10

* Wed Jan 20 2016 Daniel Berteaud <daniel@firewall-services.com> 2.4.0-14.sme
- Remove double / in SSL RewriteRule [SME: 9195]

* Tue Jun 23 2015 Daniel Berteaud <daniel@firewall-services.com> 2.4.0-13.sme
- Revert the upload_tmp_folder patch as it needs some more work [SME: 7011]

* Sun Jan 4 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 2.4.0-12.sme
- Add an upload_tmp_folder setting by db command [SME: 7011]
- Thanks to Michael McCarn and Jean-philippe Pialasse
- init-ibays create the folder tmp within all i-bays root directory
- ibay-modify create/chown/chmod the folder tmp within the i-bays root directory

* Sun May 04 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 2.4.0-11.sme
  Sat May 04 2014 --> Sat May 03 2014 or Sun May 04 2014 or Sat May 10 2014 or ....
- Add an upload_tmp_folder setting by db command [SME: 7011]
- Thanks to Michael McCarn and Jean-philippe Pialasse

* Thu Apr 24 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 2.4.0-10.sme
- Force SSL following ibays settings to the relevant domain [SME: 8332]

* Tue Apr 8 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 2.4.0-9.sme
- Perl::critic syntax modifications  [SME: 8239]
- Add more PHP options to ibays only by db commands [SME: 8239]
- Add SSLRequireSSL to ibays  when SSL is set to enabled [SME: 8239]

* Sat Mar 15 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 2.4.0-8.sme
- Add more PHP options to ibays only by db commands [SME: 8239]
- Add SSLRequireSSL to ibays  when SSL is set to enabled [SME: 8239]

* Sun Mar 9 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 2.4.0-7.sme
- Force https per ibay should not be the default for existing ibays [SME: 3675]

* Thu Jan 2 2014 Ian Wells <esmith@wellsi.com> 2.4.0-6.sme
- Provide the ability to restrict ibay access to https, by JPP [SME: 882]
- Remove old migrate fragment [SME: 8080]
- Whitespace cleanup, mainly tab removal, of 90e-smithAccess40ibays

* Sun Dec 08 2013 Chris Burnat <devlist@burnat.com> 2.4.0-5.sme
  Sat Dec 08 2013 --> Sat Dec 07 2013 or Sun Dec 08 2013 or Sat Dec 14 2013 or ....
- Update en-us translation file by Stephane de Labrusse [SME: 3675]

* Sat Nov 30 2013 Ian Wells <esmith@wellsi.com> 2.4.0-4.sme
- Provide the ability to force https per ibay by Stephane de Labrusse [SME: 3675]

* Mon Sep 30 2013 John H. Bennett III <bennettj@johnbennettservices.com> 2.4.0-3.sme
- Patch to remove symlink to Primary ibay from /home/e-smith/files/primary [SME: 3730]

* Mon Sep 30 2013 John H. Bennett III <bennettj@johnbennettservices.com> 2.4.0-2.sme
- Patch to correct issue with not being able to access a password protected ibay [SME: 7794]

* Thu Jan 31 2013 Shad L. Lords <slords@mail.com> 2.4.0-1.sme
- Roll new stream for sme9

* Fri Dec 23 2011 Jonathan Martens <smeserver-contribs@snetram.nl> 2.2.0-11.sme
- Fix non-translated locale in ibays panel [SME: 6718]

* Thu Oct 27 2011 Daniel B. <daniel@firewall-services.com>  2.2.0-10.sme
- Don't try to modify Primary unix/ldap account [SME:6770]

* Thu Nov 4 2010 Shad L. Lords <slords@mail.com> 2.2.0-9.sme
- All ibay account commands as system accounts in LDAP [SME: 6326]

* Thu Nov 4 2010 Daniel Berteaud <daniel@firewall-services.com> 2.2.0-8.sme
- Create ibay accounts as system accounts in LDAP [SME: 6326]

* Thu Nov 4 2010 Shad L. Lords <slords@mail.com> 2.2.0-7.sme
- Fix cpu critical patch missing ) [SME: 6330]

* Wed Nov 3 2010 Shad L. Lords <slords@mail.com> 2.2.0-6.sme
- Fix cpu critical patch missing ' [SME: 6330]

* Wed Nov 3 2010 Shad L. Lords <slords@mail.com> 2.2.0-5.sme
- Make cpu calls critical only with ldap{Auth} is enabled [SME: 6330]

* Tue Nov 2 2010 Shad L. Lords <slords@mail.com> 2.2.0-4.sme
- Always use cpu, do unix if ldap{Auth} is disabled [SME: 6326]

* Mon Nov 1 2010 Shad L. Lords <slords@mail.com> 2.2.0-3.sme
- Switch to cpu commands if ldap is master [SME: 6326]

* Mon Oct 13 2008 Shad L. Lords <slords@mail.com> 2.2.0-2.sme
- Fix maxIbayNameLength logic [SME: 4457]

* Tue Oct 7 2008 Shad L. Lords <slords@mail.com> 2.2.0-1.sme
- Roll new stream to separate sme7/sme8 trees [SME: 4633]

* Sun Jul 27 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.2.0-12
- Fix password verify entry text box description [SME: 4460]

* Thu Jul 24 2008 Shad L. Lords <slords@mail.com> 1.2.0-11
- Really fix faulty patch for maxIbayNameLength [SME: 4457]

* Fri May 9 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.2.0-10
- Fixed faulty patch for maxIbayNameLength [SME: 424]

* Sun Apr 27 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.2.0-9
- Add common <base> tags to e-smith-formmagick's general [SME: 4283]

* Thu Apr 17 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.2.0-8
  Fri Apr 17 2008 --> Fri Apr 11 2008 or Thu Apr 17 2008 or Fri Apr 18 2008 or ....
- Move maxIbayNameLength from ibays.pm to config DB [SME: 424]

* Mon Apr  7 2008 Charlie Brady <charlie_brady@mitel.com> 1.2.0-7
- Include index.shtml in DirectoryIndex list.[SME: 4180]

* Wed Feb 13 2008 Stephen Noble <support@dungog.net> 1.2.0-6
- Remove <base> tags now in general [SME: 3924]

* Thu Aug 30 2007 Charlie Brady <charlie_brady@mitel.com>
- Fix warnings generated by panel. [SME: 1309]

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Fri Dec 08 2006 Shad L. Lords <slords@mail.com> 1.2.0-4
- Make non-dynamic indexes not look for dynamic content. [SME: 1908]

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Wed Apr 5 2006 Gordon Rowell <gordonr@gormand.com.au> 1.2.0-02
- Fix typo in ibays http.conf template [SME: 1173]

* Wed Mar 15 2006 Charlie Brady <charlie_brady@mitel.com> 1.2.0-01
- Roll stable stream version. [SME: 1016]

* Thu Feb 23 2006 Charlie Brady <charlie_brady@mitel.com> 1.1.3-06
- Fix php register_globals directive. [SME: 820]

* Thu Jan 19 2006 Charlie Brady <charlieb@e-smith.com> 1.1.3-05
- Remove bogus IbayPlugin symlink. [SME: 519]

* Wed Nov 30 2005 Gordon Rowell <gordonr@gormand.com.au> 1.1.3-04
- Bump release number only

* Sun Oct 16 2005 Gordon Rowell <gordonr@e-smith.com>
- [1.1.3-03]
- Allow per-ibay override for PHP register_globals setting. To enable:
  /sbin/e-smith/db accounts setprop <ibay> PHPRegisterGlobals enabled
  Thanks John Bennett [SF: 1328236]

* Fri Oct 14 2005 Charlie Brady <charlieb@e-smith.com>
- [1.1.3-02]
- Fix missing 'use esmith::util' in ibay-modify action.
  [SF: 1327138]

* Fri Oct 14 2005 Gordon Rowell <gordonr@e-smith.com>
- [1.1.3-01]
- Remove L10Ns from base packages [SF: 1309520]

* Fri Oct 14 2005 Gordon Rowell <gordonr@e-smith.com>
- [1.1.2-01]
- New dev stream before relocating L10Ns

* Thu Oct  6 2005 Charlie Brady <charlieb@e-smith.com>
- [1.1.1-18]
- Strip out plugin stuff, for now at least. [SF: 1304496]

* Fri Sep 30 2005 Gordon Rowell <gordonr@e-smith.com>
- [1.1.1-17]
- Added Italian L10N - Thanks Filippo Carletti [SF: 1309266]

* Mon Sep 26 2005 Gordon Rowell <gordonr@e-smith.com>
- [1.1.1-16]
- Added German L10N - Thanks Dietmar Berteld [SF: 1293325]

* Wed Sep 14 2005 Tony Clayton <apc@e-smith.com>
- [1.1.1-15]
- Don't version 'none' plugin [SF: 1292084]

* Mon Sep  5 2005 Tony Clayton <apc@e-smith.com>
- [1.1.1-14]
- Add dependency on e-smith-formmagick >= 1.3.0-10
- Fix default plugin display [SF: 1271745,1263740]
- Clean up, add POD to IbayPlugin modules [SF: 1263740]
- Support versioning of plugins, do version checks in ibay panel

* Wed Aug 24 2005 Charlie Brady <charlieb@e-smith.com>
- [1.1.1-13]
- Default plugin to none in esFM::ibay::create_ibay(). [SF: 1267897]

* Mon Aug 22 2005 Charlie Brady <charlieb@e-smith.com>
- [1.1.1-12]
- Fix missing "use esmith::util" in ibay plugin lib. [SF: 1265684]
- Don't display ibay Plugin choice if "none" is the only choice. [SF: 1263740]

* Fri Aug 19 2005 Gordon Rowell <gordonr@gormand.com.au>
- [1.1.1-11]
- Need to check $ibay->prop('type') not $ibay->type [SF: 1260237]

* Tue Aug  9 2005 Shad Lords <slords@mail.com>
- [1.1.1-10]
- Remove 90e-smithAccess10common (belongs in e-smith-apache)
- Move some ibay options to database

* Thu Aug  4 2005 Gordon Rowell <gordonr@gormand.com.au>
- [1.1.1-09]
- Syntactic fix to perl code from 1.1.1-08 change

* Thu Jul 28 2005 Charlie Brady <charlieb@e-smith.com>
- [1.1.1-08]
- Update all uses of deprecated esmith::config and db_ APIs.
- Rewrite ibay-delete action in shell.

* Wed Jan 19 2005 Charlie Brady <charlieb@e-smith.com>
- [1.1.1-07]
- Fix untaint RE. [charlieb MN00050161]
- Fix "will not stay shared" warnings in IbayPlugin/none.pm

* Thu Nov 11 2004 Charlie Brady <charlieb@e-smith.com>
- [1.1.1-06]
- Untaint name before using in system(). [charlieb MN00050161]

* Fri Sep  3 2004 Charlie Brady <charlieb@e-smith.com>
- [1.1.1-05]
- Updated requires with new perl dependencies. [msoulier MN00040240]
- Clean BuildRequires. [charlieb MN00043055]

* Fri Feb  6 2004 Michael Soulier <msoulier@e-smith.com>
- [1.1.1-04]
- Fixed two issues with previous change. [msoulier 7475]

* Fri Feb  6 2004 Michael Soulier <msoulier@e-smith.com>
- [1.1.1-03]
- Updating default repair method to set CGIs as executable if enabled.
  [msoulier 7475]

* Wed Nov 19 2003 Tony Clayton <apc@e-smith.com>
- [1.1.1-02]
- Fix processTemplate call in IbayPlugin::none [tonyc 9924]
- Merge ibay-conf-plugin into ibay-modify action [tonyc 9924]

* Wed Nov 19 2003 Michael Soulier <msoulier@e-smith.com>
- [1.1.1-01]
- Collecting patches.

* Wed Nov 19 2003 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-02]
- Adding 6.0 styling to ibay panel. [msoulier 10415]
- Converted createlinks to new api.
- Add IbayPlugin stuff [tonyc 9924]
- Add dependency on perl-CGI-FormMagick >= 0.91-04 [tonyc 9924]

* Fri Sep  5 2003 Tony Clayton <apc@e-smith.com>
- [1.1.0-01]
- Changing version to development stream number - 1.1.0
- Rolling to development stream [tonyc 9924]

* Wed Aug 13 2003 Michael Soulier <msoulier@e-smith.com>
- [1.0.3-05]
- Fixed the content ibay showing up in the ibay list of the primary domain's
  virtual host block. [msoulier 9649]

* Wed Aug 13 2003 Michael Soulier <msoulier@e-smith.com>
- [1.0.3-04]
- Correcting the previous revision, and limiting ibay access as sub-urls to
  the primary domain only. [msoulier 9649]

* Wed Aug  6 2003 Michael Soulier <msoulier@e-smith.com>
- [1.0.3-03]
- Unify ibay handling, since 15PrimaryContent is now obsolete, and changing
  the primary domain's content was breaking access to ibays. [msoulier 9649]

* Wed Jul  2 2003 Charlie Brady <charlieb@e-smith.com>
- [1.0.3-02]
- Fix path of created starter website index file (don't rely on symlink
  which "should" point to correct place). [charlieb 9241]

* Thu Jun 12 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.0.3-01]
- Added order to migrate fragments [gordonr 9015]

* Wed Jun 11 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.0.2-04]
- Fixed Conflicts header - should be <, not <= [gordonr 8903]

* Wed Jun 11 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.0.2-03]
- Missing 'use esmith::util' [gordonr 8973]

* Tue Jun 10 2003 Charlie Brady <charlieb@e-smith.com>
- [1.0.2-02]
- Fix broken symlinks in post-{install,upgrade}. [charlieb 8973]

* Fri Jun  6 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.0.2-01]
- Shuffled some httpd.conf fragments from e-smith-apache [gordonr 8903]

* Tue May 27 2003 Charlie Brady <charlieb@e-smith.com>
- [1.0.1-01]
- Fix typo in createlinks script. Rolling version of package
  to correct build problem. [charlieb 8841]

* Tue May 27 2003 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-02]
- Add some code from init-accounts action which depends on
  /home/e-smith/files/ibays directory, which isn't included
  in base. New action is init-ibays. [charlieb 8841]

* Thu May  8 2003 Mark Knox <markk@e-smith.com>
- [1.0.0-01]
- Initial release. Split out from e-smith-base. [markk 8610]

%prep
%setup

/bin/mkdir -p root/var/cache/e-smith/files/ibays

%pre
%post

%build
LEXICONS=$(find root/etc/e-smith/web/functions \
	-type f | grep -v CVS | grep -v pleasewait)
for lexicon in $LEXICONS
do
    /sbin/e-smith/validate-lexicon $lexicon
done

/sbin/e-smith/generate-lexicons

perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-%{release}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
